Create widget
curl --request POST \
--url https://app.azalt.co/api/v1/widgets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"dashboardId": "<string>",
"reportSectionId": "<string>",
"indicatorId": "<string>",
"x": 123,
"y": 123,
"w": 123,
"h": 123,
"settings": {
"showTitle": true,
"content": "<string>"
}
}
'import requests
url = "https://app.azalt.co/api/v1/widgets"
payload = {
"name": "<string>",
"dashboardId": "<string>",
"reportSectionId": "<string>",
"indicatorId": "<string>",
"x": 123,
"y": 123,
"w": 123,
"h": 123,
"settings": {
"showTitle": True,
"content": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
dashboardId: '<string>',
reportSectionId: '<string>',
indicatorId: '<string>',
x: 123,
y: 123,
w: 123,
h: 123,
settings: {showTitle: true, content: '<string>'}
})
};
fetch('https://app.azalt.co/api/v1/widgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"dashboardId": "<string>",
"reportSectionId": "<string>",
"relatedModelType": "<string>",
"relatedModelId": "<string>",
"name": "<string>",
"indicatorId": "<string>",
"indicatorName": "<string>",
"indicatorLabel": "<string>",
"x": 123,
"y": 123,
"w": 123,
"h": 123,
"settings": {},
"filter": {
"siteIds": [
"<string>"
],
"startYear": 123,
"endYear": 123,
"startDate": "<string>",
"endDate": "<string>",
"statuses": []
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Widget
Create widget
Create a widget linked to a dashboard or report section. Provide exactly one scope identifier. Include layout fields when targeting dashboards.
POST
/
widgets
Create widget
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Available options:
line_chart, bar_chart, pie_chart, value, table, periodic_values, text Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

